const response = await fetch("https://makeseamless.com/v1/plans", {
method: "GET",
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init("https://makeseamless.com/v1/plans");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import requests
response = requests.get(
"https://makeseamless.com/v1/plans",
)
response.raise_for_status()
print(response.json())
require "net/http"
require "uri"
uri = URI("https://makeseamless.com/v1/plans")
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts response.body
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://makeseamless.com/v1/plans", nil)
if err != nil {
panic(err)
}
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://makeseamless.com/v1/plans"))
.GET()
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
using System.Net.Http;
var request = new HttpRequestMessage(HttpMethod.Get, "https://makeseamless.com/v1/plans");
var client = new HttpClient();
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
curl -X GET "https://makeseamless.com/v1/plans"
{
"free": {
"signup_credits": 0
},
"fix_credits": {
"credits": 1,
"large_credits": 3,
"large_above_px": 2048
},
"pro": [
{
"credits": 50,
"monthly_usd": 19,
"yearly_monthly_usd": 15,
"yearly_usd": 180,
"yearly_credits": 600,
"topup_usd_per_credit": 0.38,
"monthly_cents": 1900,
"yearly_cents": 18000,
"weekly_credits": 12,
"weekly_cents": 499,
"store_products": {
"month": "com.makeseamless.pro_50_monthly",
"week": "com.makeseamless.pro_12_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1900,
"product_id": "com.makeseamless.topup_50_50"
},
{
"credits": 150,
"price_cents": 5700,
"product_id": "com.makeseamless.topup_50_150"
},
{
"credits": 500,
"price_cents": 19000,
"product_id": "com.makeseamless.topup_50_500"
}
]
},
{
"credits": 135,
"monthly_usd": 49,
"yearly_monthly_usd": 39,
"yearly_usd": 468,
"yearly_credits": 1620,
"topup_usd_per_credit": 0.363,
"monthly_cents": 4900,
"yearly_cents": 46800,
"weekly_credits": 32,
"weekly_cents": 1299,
"store_products": {
"month": "com.makeseamless.pro_135_monthly",
"week": "com.makeseamless.pro_32_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1815,
"product_id": "com.makeseamless.topup_135_50"
},
{
"credits": 150,
"price_cents": 5445,
"product_id": "com.makeseamless.topup_135_150"
},
{
"credits": 500,
"price_cents": 18150,
"product_id": "com.makeseamless.topup_135_500"
}
]
},
{
"credits": 280,
"monthly_usd": 99,
"yearly_monthly_usd": 79,
"yearly_usd": 948,
"yearly_credits": 3360,
"topup_usd_per_credit": 0.354,
"monthly_cents": 9900,
"yearly_cents": 94800,
"weekly_credits": 65,
"weekly_cents": 2499,
"store_products": {
"month": "com.makeseamless.pro_280_monthly",
"week": "com.makeseamless.pro_65_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1770,
"product_id": "com.makeseamless.topup_280_50"
},
{
"credits": 150,
"price_cents": 5310,
"product_id": "com.makeseamless.topup_280_150"
},
{
"credits": 500,
"price_cents": 17700,
"product_id": "com.makeseamless.topup_280_500"
}
]
},
{
"credits": 430,
"monthly_usd": 149,
"yearly_monthly_usd": 119,
"yearly_usd": 1428,
"yearly_credits": 5160,
"topup_usd_per_credit": 0.347,
"monthly_cents": 14900,
"yearly_cents": 142800,
"weekly_credits": 100,
"weekly_cents": 3799,
"store_products": {
"month": "com.makeseamless.pro_430_monthly",
"week": "com.makeseamless.pro_100_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1735,
"product_id": "com.makeseamless.topup_430_50"
},
{
"credits": 150,
"price_cents": 5205,
"product_id": "com.makeseamless.topup_430_150"
},
{
"credits": 500,
"price_cents": 17350,
"product_id": "com.makeseamless.topup_430_500"
}
]
}
],
"topup": {
"min_credits": 10,
"max_credits": 10000
},
"enterprise": {
"contact": true
}
}
List the plans, prices and credit cost of a seam fix
The plans in US dollars. One credit is one fix; a large tile costs more (fix_credits). Free:
unlimited seam checks. Pro: credits each month by tier, billed monthly or yearly (the yearly price
is shown as its monthly equivalent and billed once a year, with twelve months of credits). A
Pro account can buy top-up credits at its tier’s price per credit. Enterprise: contact sales.
GET
/
v1
/
plans
const response = await fetch("https://makeseamless.com/v1/plans", {
method: "GET",
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init("https://makeseamless.com/v1/plans");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import requests
response = requests.get(
"https://makeseamless.com/v1/plans",
)
response.raise_for_status()
print(response.json())
require "net/http"
require "uri"
uri = URI("https://makeseamless.com/v1/plans")
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts response.body
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://makeseamless.com/v1/plans", nil)
if err != nil {
panic(err)
}
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://makeseamless.com/v1/plans"))
.GET()
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
using System.Net.Http;
var request = new HttpRequestMessage(HttpMethod.Get, "https://makeseamless.com/v1/plans");
var client = new HttpClient();
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
curl -X GET "https://makeseamless.com/v1/plans"
{
"free": {
"signup_credits": 0
},
"fix_credits": {
"credits": 1,
"large_credits": 3,
"large_above_px": 2048
},
"pro": [
{
"credits": 50,
"monthly_usd": 19,
"yearly_monthly_usd": 15,
"yearly_usd": 180,
"yearly_credits": 600,
"topup_usd_per_credit": 0.38,
"monthly_cents": 1900,
"yearly_cents": 18000,
"weekly_credits": 12,
"weekly_cents": 499,
"store_products": {
"month": "com.makeseamless.pro_50_monthly",
"week": "com.makeseamless.pro_12_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1900,
"product_id": "com.makeseamless.topup_50_50"
},
{
"credits": 150,
"price_cents": 5700,
"product_id": "com.makeseamless.topup_50_150"
},
{
"credits": 500,
"price_cents": 19000,
"product_id": "com.makeseamless.topup_50_500"
}
]
},
{
"credits": 135,
"monthly_usd": 49,
"yearly_monthly_usd": 39,
"yearly_usd": 468,
"yearly_credits": 1620,
"topup_usd_per_credit": 0.363,
"monthly_cents": 4900,
"yearly_cents": 46800,
"weekly_credits": 32,
"weekly_cents": 1299,
"store_products": {
"month": "com.makeseamless.pro_135_monthly",
"week": "com.makeseamless.pro_32_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1815,
"product_id": "com.makeseamless.topup_135_50"
},
{
"credits": 150,
"price_cents": 5445,
"product_id": "com.makeseamless.topup_135_150"
},
{
"credits": 500,
"price_cents": 18150,
"product_id": "com.makeseamless.topup_135_500"
}
]
},
{
"credits": 280,
"monthly_usd": 99,
"yearly_monthly_usd": 79,
"yearly_usd": 948,
"yearly_credits": 3360,
"topup_usd_per_credit": 0.354,
"monthly_cents": 9900,
"yearly_cents": 94800,
"weekly_credits": 65,
"weekly_cents": 2499,
"store_products": {
"month": "com.makeseamless.pro_280_monthly",
"week": "com.makeseamless.pro_65_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1770,
"product_id": "com.makeseamless.topup_280_50"
},
{
"credits": 150,
"price_cents": 5310,
"product_id": "com.makeseamless.topup_280_150"
},
{
"credits": 500,
"price_cents": 17700,
"product_id": "com.makeseamless.topup_280_500"
}
]
},
{
"credits": 430,
"monthly_usd": 149,
"yearly_monthly_usd": 119,
"yearly_usd": 1428,
"yearly_credits": 5160,
"topup_usd_per_credit": 0.347,
"monthly_cents": 14900,
"yearly_cents": 142800,
"weekly_credits": 100,
"weekly_cents": 3799,
"store_products": {
"month": "com.makeseamless.pro_430_monthly",
"week": "com.makeseamless.pro_100_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1735,
"product_id": "com.makeseamless.topup_430_50"
},
{
"credits": 150,
"price_cents": 5205,
"product_id": "com.makeseamless.topup_430_150"
},
{
"credits": 500,
"price_cents": 17350,
"product_id": "com.makeseamless.topup_430_500"
}
]
}
],
"topup": {
"min_credits": 10,
"max_credits": 10000
},
"enterprise": {
"contact": true
}
}
const response = await fetch("https://makeseamless.com/v1/plans", {
method: "GET",
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init("https://makeseamless.com/v1/plans");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import requests
response = requests.get(
"https://makeseamless.com/v1/plans",
)
response.raise_for_status()
print(response.json())
require "net/http"
require "uri"
uri = URI("https://makeseamless.com/v1/plans")
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts response.body
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://makeseamless.com/v1/plans", nil)
if err != nil {
panic(err)
}
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://makeseamless.com/v1/plans"))
.GET()
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
using System.Net.Http;
var request = new HttpRequestMessage(HttpMethod.Get, "https://makeseamless.com/v1/plans");
var client = new HttpClient();
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
curl -X GET "https://makeseamless.com/v1/plans"
{
"free": {
"signup_credits": 0
},
"fix_credits": {
"credits": 1,
"large_credits": 3,
"large_above_px": 2048
},
"pro": [
{
"credits": 50,
"monthly_usd": 19,
"yearly_monthly_usd": 15,
"yearly_usd": 180,
"yearly_credits": 600,
"topup_usd_per_credit": 0.38,
"monthly_cents": 1900,
"yearly_cents": 18000,
"weekly_credits": 12,
"weekly_cents": 499,
"store_products": {
"month": "com.makeseamless.pro_50_monthly",
"week": "com.makeseamless.pro_12_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1900,
"product_id": "com.makeseamless.topup_50_50"
},
{
"credits": 150,
"price_cents": 5700,
"product_id": "com.makeseamless.topup_50_150"
},
{
"credits": 500,
"price_cents": 19000,
"product_id": "com.makeseamless.topup_50_500"
}
]
},
{
"credits": 135,
"monthly_usd": 49,
"yearly_monthly_usd": 39,
"yearly_usd": 468,
"yearly_credits": 1620,
"topup_usd_per_credit": 0.363,
"monthly_cents": 4900,
"yearly_cents": 46800,
"weekly_credits": 32,
"weekly_cents": 1299,
"store_products": {
"month": "com.makeseamless.pro_135_monthly",
"week": "com.makeseamless.pro_32_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1815,
"product_id": "com.makeseamless.topup_135_50"
},
{
"credits": 150,
"price_cents": 5445,
"product_id": "com.makeseamless.topup_135_150"
},
{
"credits": 500,
"price_cents": 18150,
"product_id": "com.makeseamless.topup_135_500"
}
]
},
{
"credits": 280,
"monthly_usd": 99,
"yearly_monthly_usd": 79,
"yearly_usd": 948,
"yearly_credits": 3360,
"topup_usd_per_credit": 0.354,
"monthly_cents": 9900,
"yearly_cents": 94800,
"weekly_credits": 65,
"weekly_cents": 2499,
"store_products": {
"month": "com.makeseamless.pro_280_monthly",
"week": "com.makeseamless.pro_65_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1770,
"product_id": "com.makeseamless.topup_280_50"
},
{
"credits": 150,
"price_cents": 5310,
"product_id": "com.makeseamless.topup_280_150"
},
{
"credits": 500,
"price_cents": 17700,
"product_id": "com.makeseamless.topup_280_500"
}
]
},
{
"credits": 430,
"monthly_usd": 149,
"yearly_monthly_usd": 119,
"yearly_usd": 1428,
"yearly_credits": 5160,
"topup_usd_per_credit": 0.347,
"monthly_cents": 14900,
"yearly_cents": 142800,
"weekly_credits": 100,
"weekly_cents": 3799,
"store_products": {
"month": "com.makeseamless.pro_430_monthly",
"week": "com.makeseamless.pro_100_weekly"
},
"topup_packs": [
{
"credits": 50,
"price_cents": 1735,
"product_id": "com.makeseamless.topup_430_50"
},
{
"credits": 150,
"price_cents": 5205,
"product_id": "com.makeseamless.topup_430_150"
},
{
"credits": 500,
"price_cents": 17350,
"product_id": "com.makeseamless.topup_430_500"
}
]
}
],
"topup": {
"min_credits": 10,
"max_credits": 10000
},
"enterprise": {
"contact": true
}
}
Response
200 - application/json
The plans.
What a fix costs, shown before it starts.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The Pro tiers, from the smallest.
Show child attributes
Show child attributes
How many top-up credits one purchase takes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I